jobsub_q prints wrong info, no error diagnostic

08/29/2015 09:52 AM - Andrei Gaponenko

Status: Closed
Priority: Normal
Assignee: Dennis Box
Category:

Target version: v1.1.9.1

First Occurred:

Occurs In:

Start date:
Due date:

% Done:

Estimated time:

Spent time:
Stakeholders:

08/29/2015

0%
0.00 hour
0.00 hour

ric@fnal.gov,
kutschke@fnal.gov,
gandr@fnal.gov

Description

As mentioned by Ray in INC000000592035, jobsub_q output can miss information from a server. If a server can not be contacted, it

must print a warning or error message, and the exit status should be non-zero.

that all my jobs have completed, while in fact it just failed to show running jobs.

See below for an example of how to reproduce.
Andrei

mu2egpvm05 ~$ while true; do Jjobsub_g > tmp.txt;

st=$st || echo broke st=$st; sleep 10;

worked st=0
broke st=0
worked st=0
worked st=0
worked st=0
worked st=0
worked st=0
worked st=0
worked st=0
worked st=0
worked st=0
broke st=0

done

st=$7?;

| was deceived by jobsub_q output into believing

grep —q fifebatch2 tmp.txt && echo worked

History

#1 - 11/05/2015 01:46 PM - Dennis Box

- Target version set to v1.1.9

#2 - 12/11/2015 03:27 PM - Dennis Box

- Target version changed from v1.1.9 to v1.2

#3 - 01/08/2016 02:31 PM - Dennis Box

- Status changed from New to Feedback

fix checked in to branch 9975 in git

#4 - 01/08/2016 02:39 PM - Dennis Box

doh branch 9976. Have been testing it on fifebatch-dev, killing a schedd manually and querying it with jobsub_g. The problem with condor_q -g is
that it exits with the status of the last schedd that it checks, and | am not sure how it determines the order. Jobsub_q on the server now checks each
schedd in turn with condor_q -name 'schedd_name' and throws and exits with non-zero status if any of them are bad.

#5 - 01/08/2016 05:21 PM - Dennis Box

- Target version changed from v1.2 to v1.1.9.1
#6 - 03/07/2016 02:50 PM - Dennis Box
- Status changed from Feedback to Closed
